datacache <- new.env(hash=TRUE, parent=emptyenv())

mapping250kstyhsentrezg <- function() showQCData("mapping250kstyhsentrezg", datacache)
mapping250kstyhsentrezg_dbconn <- function() dbconn(datacache)
mapping250kstyhsentrezg_dbfile <- function() dbfile(datacache)
mapping250kstyhsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mapping250kstyhsentrezg_dbInfo <- function() dbInfo(datacache)

mapping250kstyhsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mapping250kstyhsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "mapping250kstyhsentrezg", "chip mapping250kstyhsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mapping250kstyhsentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mapping250kstyhsentrezg_dbconn())
}

